Thread.hpp File Reference

Thread, descriptors and sockets. More...

`#include <ui-utilcpp/Exception.hpp>`
`#include <ui-utilcpp/Sys.hpp>`
Include dependency graph for Thread.hpp:

## Data Structures

class | UI::Util::ProcessThread
| Simple encapsulation for any process based threading system. More...
class | UI::Util::ForkThread
| Simple encapsulation of fork(2) using common thread syntax. More...

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Functions

void | UI::Util::fd2DevNull (int const &fd, mode_t const &mode)
| Close fd and reopen on "/dev/null" using mode.
void | UI::Util::daemonize (bool closeStdFds=true, bool changeToRootdir=true, bool resetUMask=true)
| Use fork(2) to daemonize current program in a new session id.

## Detailed Description

Thread, descriptors and sockets.